#
# Conditional build:
%bcond_without	apidocs	# Sphinx documentation
%bcond_without	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module	pyasn1

Summary:	ASN.1 tools for Python
Summary(pl.UTF-8):	Narzędzia ASN.1 dla Pythona
Name:		python-%{module}
Version:	0.2.3
Release:	1
License:	BSD-like
Group:		Libraries/Python
#Source0Download: https://pypi.python.org/simple/pyasn1/
Source0:	https://files.pythonhosted.org/packages/source/p/pyasn1/%{module}-%{version}.tar.gz
# Source0-md5:	79f98135071c8dd5c37b6c923c51be45
Patch0:		%{name}-missing.patch
URL:		http://pyasn1.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python >= 1:2.5
BuildRequires:	python-modules >= 1:2.5
%if %{with tests}
%if "%{py_ver}" < "2.7"
BuildRequires:	python-unittest2
%endif
%endif
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.3
BuildRequires:	python3-modules >= 1:3.3
%endif
BuildRequires:	rpm-pythonprov
%if %{with apidocs}
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	sphinx-pdg
%endif
Requires:	python-modules >= 1:2.5
Obsoletes:	python-pyasn1-examples
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This project is dedicated to implementation of ASN.1 types (concrete
syntax) and codecs (transfer syntaxes) for Python programming
environment.

%description -l pl.UTF-8
Celem tego projektu jest implementacja typów (konkretnej składni) i
kodowania (składni przesyłania) ASN.1 dla środowiska programowania
Python.

%package -n python3-%{module}
Summary:	ASN.1 tools for Python
Summary(pl.UTF-8):	Narzędzia ASN.1 dla Pythona
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.3

%description -n python3-%{module}
This project is dedicated to implementation of ASN.1 types (concrete
syntax) and codecs (transfer syntaxes) for Python programming
environment.

%description -n python3-%{module} -l pl.UTF-8
Celem tego projektu jest implementacja typów (konkretnej składni) i
kodowania (składni przesyłania) ASN.1 dla środowiska programowania
Python.

%package apidocs
Summary:	Documentation for ASN.1 Python module
Summary(pl.UTF-8):	Dokumentacja do modułu Pythona ASN.1
Group:		Documentation

%description apidocs
Documentation for ASN.1 Python module.

%description apidocs -l pl.UTF-8
Dokumentacja do modułu Pythona ASN.1.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif
%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with apidocs}
PYTHONPATH=$(pwd)/build-py3/lib \
%{__make} -C doc html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE.rst README.md THANKS.txt TODO.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/pyasn1-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE.rst README.md THANKS.txt TODO.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/pyasn1-%{version}-py*.egg-info
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/build/html/{_static,docs,*.html,*.js}
%endif
%changelog
* Fri Mar 03 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyasn1.git;a=log;h=master

* Fri Mar 03 2017 Jakub Bogusz <qboosh@pld-linux.org> 1146e53
- added missing patch (doc conf.py file taken from git)

* Fri Mar 03 2017 Jakub Bogusz <qboosh@pld-linux.org> 80c47c7
- updated to 0.2.3

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> b9b08c3
- python 3.6
- release 3 (by relup.sh)

* Mon Aug 22 2016 Marcin Krol <hawk@tld-linux.org> ea88cc4
- release 2

* Wed Mar 09 2016 Jakub Bogusz <qboosh@pld-linux.org> b3a167e
- distribute not required; tests require unittest2 on python<2.7

* Wed Mar 02 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 360405e
- up to 0.1.9

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 41ad763
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 9ac81bd
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 0c0ff16
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 472d974
- python3.5 rebuild
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 874234c
- python 3.5 rebuild
- release 3 (by relup.sh)

* Tue Dec 16 2014 Jakub Bogusz <qboosh@pld-linux.org> e3aa0d7
- no macro in Obsoletes for old package

* Tue Dec 16 2014 Jakub Bogusz <qboosh@pld-linux.org> d6fd38f
- more docs, verbose .egg-infos

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9a580b0
- python 3.4
- release 2 (by relup.sh)

* Wed Oct 30 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> eee9e68
- Use the more reliable PyPI URL for Source0

* Wed Oct 30 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> a798df9
- Python 3 support added, tests enabled

* Wed Oct 30 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 97d75d7
- Version: 0.1.7

* Mon Mar 04 2013 Jan Rękorajski <baggins@pld-linux.org> 23d37b5
- release 2 (by relup.sh)

* Sun Jan 29 2012 Adam Gołębiowski <adamg@pld-linux.org> f3a8cb2
- updated to 0.1.2

* Tue Jul 12 2011 Jacek Konieczny <jajcus@pld-linux.org> 693261f
- Version: 0.0.13

